Bug 972308 - [upgrade] oo-accept-broker will throw an error due to ownership of user_action.log is changed.
[upgrade] oo-accept-broker will throw an error due to ownership of user_actio...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade (Show other bugs)
1.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jason DeTiberus
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 05:31 EDT by Johnny Liu
Modified: 2017-03-08 12 EST (History)
3 users (show)

See Also:
Fixed In Version: openshift-origin-broker-util-1.9.7-1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 11:46:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2013-06-08 05:31:59 EDT
Description of problem:
After upgrade, run oo-accept-broker, get the following error:
[root@broker ~]# oo-accept-broker 
FAIL: Rest API Logging enabled but the log file has wrong owner -- run chown apache:apache /var/log/openshift/broker/user_action.log
NOTICE: SELinux is Enforcing
NOTICE: SELinux is  Enforcing
1 ERRORS


Version-Release number of selected component (if applicable):
1.2/2013-06-07.2

How reproducible:
Always

Steps to Reproduce:
1. Setup ose-1.1.3 env, the ownership of /var/log/openshift/broker/user_action.log is apache:apache
2. Create a app, run oo-accept-broker, and passed.
3. Following http://etherpad.corp.redhat.com/OSE-1-2-upgrade-notes to do upgrade testing
4. After upgrade, check the ownership of /var/log/openshift/broker/user_action.log, run oo-accept-broker again. 

Actual results:
oo-accept-broker failed.

[root@broker ~]# oo-accept-broker 
FAIL: Rest API Logging enabled but the log file has wrong owner -- run chown apache:apache /var/log/openshift/broker/user_action.log
NOTICE: SELinux is Enforcing
NOTICE: SELinux is  Enforcing
1 ERRORS

[root@broker ~]# ll /var/log/openshift/broker/user_action.log
-rw-r-----. 1 apache root 5712 Jun  8 02:27 /var/log/openshift/broker/user_action.log


Expected results:
oo-accept-broker should pass.

Additional info:
Comment 3 openshift-github-bot 2013-06-11 17:44:25 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/d58378fb0190bf93ba6c001afb06dd9849b12cbf
<broker-util> Bug 972308 - Update permissions check for user_action.log

https://bugzilla.redhat.com/show_bug.cgi?id=972308

The permissions check for the user action log was testing if owner and
group were apache, really we only care that the owner is apache.
Comment 4 Johnny Liu 2013-06-21 07:07:05 EDT
Verified this bug with openshift-origin-broker-util-1.9.7-1.1.el6op.noarch in 1.2/2013-06-20.5 puddle, it PASS.

oo-accept-broker succeed after migration.
Comment 5 Luke Meyer 2013-06-28 11:46:28 EDT
Closing all bugs introduced, fixed, and verified during 1.2 release work (thus never shipped).

Note You need to log in before you can comment on or make changes to this bug.